<?xml version="1.0"?>
<doc>
    <assembly>
        <name>SafeCampus.Application</name>
    </assembly>
    <members>
        <member name="F:SafeCampus.Application.ApplicationConst.BIZ_ORG">
            <summary>
            机构
            </summary>
        </member>
        <member name="F:SafeCampus.Application.ApplicationConst.BIZ_POS">
            <summary>
            岗位
            </summary>
        </member>
        <member name="T:SafeCampus.Application.Manager.DeepelephManager.DeepelephManager">
            <summary>
            深象智能对接实现
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Manager.DeepelephManager.DeepelephManager.GenSXToken">
            <summary>
            获取深象智能Token
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Manager.DeepelephManager.DeepelephManager.SubscribeAlarm">
            <summary>
            订阅预警更新
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Manager.DeepelephManager.DeepelephManager.SubscriberRoomCall">
            <summary>
            订阅点名事件
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Manager.DeepelephManager.DeepelephManager.TimestampToDateTime(System.String)">
            <summary>
            时间戳转本时区日期时间
            </summary>
            <param name="timeStamp"></param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Application.Manager.DeepelephManager.IDeepelephManager">
            <summary>
            深象对接接口
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Manager.DeepelephManager.IDeepelephManager.GetToken">
            <summary>
            获取token
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Manager.DeepelephManager.IDeepelephManager.SubscribeAlarm">
            <summary>
            启动预警订阅
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Manager.DeepelephManager.IDeepelephManager.DisconnectAsync">
            <summary>
            释放连接
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Manager.DeepelephManager.IDeepelephManager.SubscriberRoomCall">
            <summary>
            启动点名订阅
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Manager.DeepelephManager.IDeepelephManager.SubscriberAttendance">
            <summary>
            开启无感考勤订阅
            </summary>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Application.ApplicationSettingsOptions">
            <summary>
             系统配置
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceAddInput.PersonSetId">
            <summary>
            关联底库id  如果为空，表示该人员未匹配到底库
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceAddInput.PersonId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceAddInput.Tick">
            <summary>
            考勤时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.Id">
            <summary>
            ID
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.TenantCode">
            <summary>
            租户id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.PoiId">
            <summary>
            门店id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.EventId">
            <summary>
            考勤事件id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.TrackId">
            <summary>
            人员跟踪id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.PersonSetId">
            <summary>
            关联底库id  如果为空，表示该人员未匹配到底库
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.PersonId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.IsAuto">
            <summary>
            是否自动上报
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.Similarity">
            <summary>
            相似度
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.FaceScore">
            <summary>
            人脸质量分，取值[0, 100]
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.SnapshotUrl">
            <summary>
            人脸照片url，链接有效期为2小时
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.SnapshotData">
            <summary>
            人脸照片数据，base64编码（本地对接使用）
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.Tick">
            <summary>
            事件发生时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.Rects">
            <summary>
            目标在快照中的位置
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.Extend">
            <summary>
            人员扩展信息
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto.CreateTime">
            <summary>
            创建时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.Id">
            <summary>
            ID
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.TenantCode">
            <summary>
            租户id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.PoiId">
            <summary>
            门店id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.EventId">
            <summary>
            考勤事件id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.TrackId">
            <summary>
            人员跟踪id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.PersonSetId">
            <summary>
            关联底库id  如果为空，表示该人员未匹配到底库
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.PersonId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.IsAuto">
            <summary>
            是否自动上报
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.Similarity">
            <summary>
            相似度
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.FaceScore">
            <summary>
            人脸质量分，取值[0, 100]
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.SnapshotUrl">
            <summary>
            人脸照片url，链接有效期为2小时
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.SnapshotData">
            <summary>
            人脸照片数据，base64编码（本地对接使用）
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.Tick">
            <summary>
            事件发生时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.Rects">
            <summary>
            目标在快照中的位置
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.Extend">
            <summary>
            人员扩展信息
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceList.CreateTime">
            <summary>
            创建时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceSearch.TrackId">
            <summary>
            人员跟踪id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceSearch.PersonSetId">
            <summary>
            关联底库id  如果为空，表示该人员未匹配到底库
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceSearch.PersonId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceSearch.IsAuto">
            <summary>
            是否自动上报
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceSearch.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceSearch.StartTick">
            <summary>
            事件发生时间开始
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.AttendanceService.AttendanceSearch.EndTick">
            <summary>
            事件发生时间结束
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.AttendanceService.IAttendanceService.Add(SafeCampus.Application.Services.Business.AttendanceService.AttendanceDto)">
            <summary>
            添加考勤记录
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.AttendanceService.IAttendanceService.GetPageList(SafeCampus.Application.Services.Business.AttendanceService.AttendanceSearch)">
            <summary>
            分页获取考勤列表
            </summary>
            <param name="search"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.AttendanceService.IAttendanceService.GetNoPageList(SafeCampus.Application.Services.Business.AttendanceService.AttendanceSearch)">
            <summary>
            不分页获取考勤列表
            </summary>
            <param name="search"></param>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraGroupService.CameraGroupAddInput.ParentId">
            <summary>
            父级id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraGroupService.CameraGroupAddInput.Name">
            <summary>
            分组名称
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.CameraGroupService.ICameraGroupService.Add(SafeCampus.Application.Services.Business.CameraGroupService.CameraGroupAddInput)">
            <summary>
            添加分组
            </summary>
            <param name="input">添加参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.CameraGroupService.ICameraGroupService.Update(SafeCampus.Application.Services.Business.CameraGroupService.CameraGroupInput)">
            <summary>
            修改分组
            </summary>
            <param name="input">添加参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.CameraGroupService.ICameraGroupService.Delete(System.Int64)">
            <summary>
            删除分组
            </summary>
            <param name="id">id</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.CameraGroupService.ICameraGroupService.GetNoPageList">
            <summary>
            获取分组列表
            </summary>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.CameraSearch.SensorName">
            <summary>
            摄像头名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.CameraSearch.SensorId">
            <summary>
            摄像头编码
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.CameraSearch.GroupId">
            <summary>
            分组id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.CameraSearch.DeviceStatus">
            <summary>
            摄像头状态
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.SetGroupInput.Id">
            <summary>
            分组Id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.SetGroupInput.Ids">
            <summary>
            摄像头Id列表
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.SetPushPersonGroupInput.GroupId">
            <summary>
            分组Id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.SetPushPersonGroupInput.UserId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.SetPushPersonInput.UserId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.SetPushPersonInput.Ids">
            <summary>
            摄像头Id列表
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.SetPushPersonWarnInput.WarnCode">
            <summary>
            告警类型编码
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.CameraInfoService.SetPushPersonWarnInput.UserId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.CameraInfoService.ICameraInfoService.DataSync">
            <summary>
            数据同步
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.CameraInfoService.ICameraInfoService.GetPageList(SafeCampus.Application.Services.Business.CameraInfoService.CameraSearch)">
            <summary>
            获取摄像头列表
            </summary>
            <param name="search"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.CameraInfoService.ICameraInfoService.BatchSetGroup(SafeCampus.Application.Services.Business.CameraInfoService.SetGroupInput)">
            <summary>
            批量给摄像头设置分组
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.CameraInfoService.ICameraInfoService.BatchSetPushPersonByGroup(SafeCampus.Application.Services.Business.CameraInfoService.SetPushPersonGroupInput)">
            <summary>
            根据分组批量设置推送人
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.CameraInfoService.ICameraInfoService.BatchSetPushPerson(SafeCampus.Application.Services.Business.CameraInfoService.SetPushPersonInput)">
            <summary>
            对摄像头批量设置推送人
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.CameraInfoService.ICameraInfoService.BatchSetPushPersonByWarn(SafeCampus.Application.Services.Business.CameraInfoService.SetPushPersonWarnInput)">
            <summary>
            根据预警分组设置推送人
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.TenantCode">
            <summary>
            租户id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.PoiId">
            <summary>
            门店id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.TaskId">
            <summary>
            任务id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.EventId">
            <summary>
            点名事件id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.AlarmType">
            <summary>
            预警类型
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.AlarmTypeDesc">
            <summary>
            预警类型说明
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.TrackId">
            <summary>
            人员跟踪id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.PersonSetId">
            <summary>
            关联底库id  如果为空，表示该人员未匹配到底库
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.PersonId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.Similarity">
            <summary>
            相似度
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.FaceScore">
            <summary>
            人脸质量分，取值[0, 100]
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.SnapshotUrl">
            <summary>
            人脸照片url，链接有效期为2小时
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.SnapshotData">
            <summary>
            人脸照片数据，base64编码（本地对接使用）
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.Tick">
            <summary>
            事件发生时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.Rects">
            <summary>
            目标在快照中的位置
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.Extend">
            <summary>
            人员扩展信息
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto.CreateTime">
            <summary>
            创建时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.PoiId">
            <summary>
            门店id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.TaskId">
            <summary>
            任务id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.EventId">
            <summary>
            点名事件id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.AlarmType">
            <summary>
            预警类型
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.AlarmTypeDesc">
            <summary>
            预警类型说明
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.TrackId">
            <summary>
            人员跟踪id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.PersonSetId">
            <summary>
            关联底库id  如果为空，表示该人员未匹配到底库
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.PersonId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.SnapshotUrl">
            <summary>
            人脸照片url，链接有效期为2小时
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.SnapshotData">
            <summary>
            人脸照片数据，base64编码（本地对接使用）
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.Tick">
            <summary>
            事件发生时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.Rects">
            <summary>
            目标在快照中的位置
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallList.CreateTime">
            <summary>
            创建时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallSearch.TaskId">
            <summary>
            任务id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallSearch.AlarmType">
            <summary>
            预警类型
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallSearch.TrackId">
            <summary>
            人员跟踪id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallSearch.PersonSetId">
            <summary>
            关联底库id  如果为空，表示该人员未匹配到底库
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallSearch.PersonId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallSearch.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallSearch.StartTick">
            <summary>
            事件开始时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallSearch.EndTick">
            <summary>
            结束时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallUpdate.Id">
            <summary>
            ID
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallUpdate.PersonSetId">
            <summary>
            关联底库id  如果为空，表示该人员未匹配到底库
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallUpdate.PersonId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassRoomCallService.IClassRoomCallService.Add(SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallDto)">
            <summary>
            添加点名记录
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassRoomCallService.IClassRoomCallService.Update(SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallUpdate)">
            <summary>
            修改点名信息，人工处理
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassRoomCallService.IClassRoomCallService.Remove(System.Int64)">
            <summary>
            删除点名记录（只可删除待处理的记录）
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassRoomCallService.IClassRoomCallService.GetPageList(SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallSearch)">
            <summary>
            分页获取列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassRoomCallService.IClassRoomCallService.GetNoPageList(SafeCampus.Application.Services.Business.ClassRoomCallService.ClassRoomCallSearch)">
            <summary>
            不分页获取列表
            </summary>
            <param name="search"></param>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskAdd.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskAdd.ContinueTime">
            <summary>
            点名持续时间，单位为分钟，取值[1, 100]
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskAdd.PersonSetId">
            <summary>
            人员底库id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskAdd.Similarity">
            <summary>
            匹配相似度阈值（如果没传，系统默认用0.5）
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskDto.Id">
            <summary>
            ID
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskDto.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskDto.CameraName">
            <summary>
            摄像头名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskDto.CameraGroup">
            <summary>
            摄像头所属分组名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskDto.TaskId">
            <summary>
            点名任务id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskDto.ContinueTime">
            <summary>
            点名持续时间，单位为分钟，取值[1, 100]
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskDto.PersonSetId">
            <summary>
            人员底库id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskDto.Similarity">
            <summary>
            匹配相似度阈值（如果没传，系统默认用0.5）
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskDto.CreateTime">
            <summary>
            创建时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskDto.EndTime">
            <summary>
            结束时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskSearch.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskSearch.TaskId">
            <summary>
            点名任务id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskSearch.PersonSetId">
            <summary>
            人员底库id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskSearch.StartTime">
            <summary>
            开始时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskSearch.EndTime">
            <summary>
            结束时间
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.IClassRoomCallTaskService.Add(SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskDto)">
            <summary>
            添加点名任务
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.IClassRoomCallTaskService.Remove(System.Int64)">
            <summary>
            删除点名任务,删除关联点名数据
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassRoomCallTaskService.IClassRoomCallTaskService.GetPageList(SafeCampus.Application.Services.Business.ClassRoomCallTaskService.ClassRoomCallTaskSearch)">
            <summary>
            获取点名任务列表
            </summary>
            <param name="search"></param>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassTeacherService.ClassTeacherDto.UserId">
            <summary>
            班主任用户id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassTeacherService.ClassTeacherDto.PersonSetId">
            <summary>
            班级id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassTeacherService.ClassTeacherDto.Name">
            <summary>
            班主任名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassTeacherService.ClassTeacherDto.Phone">
            <summary>
            班主任联系方式
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassTeacherService.ClassTeacherInput.PersonSetId">
            <summary>
            班级id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.ClassTeacherService.ClassTeacherInput.UserId">
            <summary>
            班主任人员id
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassTeacherService.IClassTeacherService.Add(SafeCampus.Application.Services.Business.ClassTeacherService.ClassTeacherInput)">
            <summary>
            添加班主任
            </summary>
            <param name="input">添加参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassTeacherService.IClassTeacherService.Update(SafeCampus.Application.Services.Business.ClassTeacherService.ClassTeacherUpdateInput)">
            <summary>
            修改班主任
            </summary>
            <param name="input">添加参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassTeacherService.IClassTeacherService.Delete(System.Int64)">
            <summary>
            删除班主任
            </summary>
            <param name="id">id</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassTeacherService.IClassTeacherService.GetInfo(System.String)">
            <summary>
            根据班级id获取班主任信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.ClassTeacherService.IClassTeacherService.GetNoPageList">
            <summary>
            获取列表
            </summary>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowDto.Id">
            <summary>
            主键Id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowDto.ExtJson">
            <summary>
            分片Json信息
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowDto.QueryTime">
            <summary>
            查询时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowDto.StartTime">
            <summary>
            开始时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowDto.EndTime">
            <summary>
            结束时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowDto.CameraIds">
            <summary>
            摄像头id列表
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowDto.CameraNames">
            <summary>
            摄像头名称列表
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowDto.Split">
            <summary>
            分片类型
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowDto.Total">
            <summary>
            总数
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowSearch.StartTime">
            <summary>
            开始时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowSearch.EndTime">
            <summary>
            结束时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowSearch.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowSearch.Split">
            <summary>
            分片类型 true小时 false天
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PassengerFlowService.IPassengerFlowService.Add(SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowDto)">
            <summary>
            添加客流查询任务
            </summary>
            <param name="input">添加参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PassengerFlowService.IPassengerFlowService.GetPageList(SafeCampus.Application.Services.Business.PassengerFlowService.Dto.PassengerFlowSearch)">
            <summary>
            分页查询列表
            </summary>
            <param name="search"></param>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.PersonId">
            <summary>
            人员id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.Name">
            <summary>
            人员名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.Age">
            <summary>
            年龄
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.Gender">
            <summary>
            性别
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.Phone">
            <summary>
            手机号
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.ExtData">
            <summary>
            扩展属性
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.FaceSizeLimit">
            <summary>
            人脸大小阈值
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.QualityScore">
             <summary>
            人脸质量分阈值
             </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.PersonSetId">
            <summary>
            班级id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.PersonSetName">
            <summary>
            班级名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.DormitoryName">
            <summary>
            寝室名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.PersonFacesList">
            <summary>
            人脸列表
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto.CreateTime">
            <summary>
            创建时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoSearch.PersonName">
            <summary>
            人员名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoSearch.Phone">
            <summary>
            手机号
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoSearch.PersonSetId">
            <summary>
            班级id
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PersonInfoService.IPersonInfoService.Add(SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto)">
            <summary>
            添加信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PersonInfoService.IPersonInfoService.Delete(System.String)">
            <summary>
            删除信息
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PersonInfoService.IPersonInfoService.GetInfo(System.String)">
            <summary>
            获取详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PersonInfoService.IPersonInfoService.Update(SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoDto)">
            <summary>
            编辑信息
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PersonInfoService.IPersonInfoService.UpdateSet(System.Collections.Generic.List{System.String},System.String)">
            <summary>
            更新班级
            </summary>
            <param name="personId"></param>
            <param name="personSetId"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PersonInfoService.IPersonInfoService.GetPageList(SafeCampus.Application.Services.Business.PersonInfoService.PersonInfoSearch)">
            <summary>
            获取底库列表
            </summary>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonSetInfoService.PersonSetInfoDto.PersonSetId">
            <summary>
            班级id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.PersonSetInfoService.PersonSetInfoDto.PersonSetName">
            <summary>
            班级名称
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PersonSetInfoService.IPersonSetInfoService.Add(SafeCampus.Application.Services.Business.PersonSetInfoService.PersonSetInfoDto)">
            <summary>
            添加班级
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PersonSetInfoService.IPersonSetInfoService.Delete(System.String)">
            <summary>
            删除班级
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PersonSetInfoService.IPersonSetInfoService.Update(SafeCampus.Application.Services.Business.PersonSetInfoService.PersonSetInfoDto)">
            <summary>
            编辑信息
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.PersonSetInfoService.IPersonSetInfoService.GetPageList">
            <summary>
            获取底库列表
            </summary>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.TenantCode">
            <summary>
            租户id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.PoiId">
            <summary>
            门店id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.AlarmId">
            <summary>
            预警id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.AlarmType">
            <summary>
            预警类型
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.AlarmTypeDesc">
            <summary>
            预警类型名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.CameraName">
            <summary>
            摄像头名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.Tick">
            <summary>
            事件发生时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.SnapshotUrl">
            <summary>
            摄像头快照，原链接有效期为2小时，获取到数据后下载到本地
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.VideoUrl">
            <summary>
            预警关联视频（有些报警有，有些没有）
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.Rects">
            <summary>
            目标在快照中的位置
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.PersonName">
            <summary>
            人员名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.PersonType">
            <summary>
            人员类型
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.Tags">
             <summary>
            场景标签
             </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.Extend">
            <summary>
            额外数据，每个预警类型不同
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.WarnHand">
            <summary>
            预警处理状态
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.Remark">
            <summary>
            处理意见
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoDto.HandTime">
            <summary>
            处理时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.AlarmId">
            <summary>
            预警id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.AlarmType">
            <summary>
            预警类型
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.AlarmTypeDesc">
            <summary>
            预警类型名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.CameraName">
            <summary>
            摄像头名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.CameraGroup">
            <summary>
            摄像头所属分组
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.Tick">
            <summary>
            事件发生时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.SnapshotUrl">
            <summary>
            摄像头快照，原链接有效期为2小时，获取到数据后下载到本地
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.PersonName">
            <summary>
            人员名称
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.PersonType">
            <summary>
            人员类型
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.WarnHand">
            <summary>
            预警处理状态
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoList.HandTime">
            <summary>
            处理时间
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoSearch.AlarmType">
            <summary>
            预警类型
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoSearch.StartTick">
            <summary>
            事件发生时间开始
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoSearch.EndTick">
            <summary>
            事件发生时间结束
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoSearch.CameraId">
            <summary>
            摄像头id
            </summary>
        </member>
        <member name="P:SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoSearch.WarnHand">
            <summary>
            预警处理状态
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.Warn.Service.IWarnInfoService.HandWarn(System.Int64,System.String)">
            <summary>
            处理预警
            </summary>
            <param name="id"></param>
            <param name="remark"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.Warn.Service.IWarnInfoService.GetListNoPage(SafeCampus.Application.Services.Business.Warn.Dto.WarnInfoSearch)">
            <summary>
            获取列表不分页
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.Business.Warn.Service.IWarnInfoService.GetWarnType">
            <summary>
            获取告警分离列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.IApiBaseInterface`3.Add(`0)">
            <summary>
            添加
            </summary>
            <param name="vm"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.IApiBaseInterface`3.Delete(System.Int64)">
            <summary>
            删除
            </summary>
            <param name="Id"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.IApiBaseInterface`3.Update(`0)">
            <summary>
            修改
            </summary>
            <param name="vm"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.IApiBaseInterface`3.GetInfo(System.Int64)">
            <summary>
            根据id获取信息
            </summary>
            <param name="Id"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.Services.IApiBaseInterface`3.GetList(`2)">
            <summary>
            获取列表
            </summary>
            <param name="search"></param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Application.IOrgService">
            <summary>
            机构服务
            </summary>
        </member>
        <member name="M:SafeCampus.Application.IOrgService.Add(SafeCampus.System.SysOrgAddInput)">
            <summary>
            添加机构
            </summary>
            <param name="input">添加参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IOrgService.Copy(SafeCampus.System.SysOrgCopyInput)">
            <summary>
            复制机构
            </summary>
            <param name="input">机构复制参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IOrgService.Delete(SafeCampus.Core.BaseIdListInput)">
            <summary>
            删除机构
            </summary>
            <param name="input">删除参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IOrgService.Edit(SafeCampus.System.SysOrgEditInput)">
            <summary>
            编辑机构
            </summary>
            <param name="input">编辑参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IOrgService.Page(SafeCampus.System.SysOrgPageInput)">
            <summary>
            机构分页查询
            </summary>
            <param name="input">查询参数</param>
            <returns>分页信息</returns>
        </member>
        <member name="M:SafeCampus.Application.IOrgService.Tree(SafeCampus.System.SysOrgTreeInput)">
            <summary>
            机构树结构
            </summary>
            <param name="input">机构选择器</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IOrgService.Detail(SafeCampus.Core.BaseIdInput)">
            <summary>
            机构详情
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Application.OrgService">
            <inheritdoc cref="T:SafeCampus.Application.IOrgService"/>
        </member>
        <member name="M:SafeCampus.Application.OrgService.Page(SafeCampus.System.SysOrgPageInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.OrgService.Tree(SafeCampus.System.SysOrgTreeInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.OrgService.Add(SafeCampus.System.SysOrgAddInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.OrgService.Edit(SafeCampus.System.SysOrgEditInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.OrgService.Copy(SafeCampus.System.SysOrgCopyInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.OrgService.Delete(SafeCampus.Core.BaseIdListInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.OrgService.Detail(SafeCampus.Core.BaseIdInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.OrgService.CheckInput(SafeCampus.System.SysOrg,System.String)">
            <summary>
            检查输入参数
            </summary>
            <param name="sysOrg">参数</param>
            <param name="operate">操作名称</param>
        </member>
        <member name="T:SafeCampus.Application.IPositionService">
            <summary>
            岗位管理
            </summary>
        </member>
        <member name="M:SafeCampus.Application.IPositionService.Add(SafeCampus.System.PositionAddInput)">
            <summary>
            添加岗位
            </summary>
            <param name="input">添加参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IPositionService.Delete(SafeCampus.Core.BaseIdListInput)">
            <summary>
            删除岗位
            </summary>
            <param name="input">id列表</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IPositionService.Edit(SafeCampus.System.PositionEditInput)">
            <summary>
            编辑岗位
            </summary>
            <param name="input">编辑参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IPositionService.Page(SafeCampus.System.PositionPageInput)">
            <summary>
            岗位分页查询
            </summary>
            <param name="input">查询参数</param>
            <returns>分页列表</returns>
        </member>
        <member name="M:SafeCampus.Application.IPositionService.Selector(SafeCampus.System.PositionSelectorInput)">
            <summary>
            岗位选择器
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IPositionService.Detail(SafeCampus.Core.BaseIdInput)">
            <summary>
            岗位详情
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IPositionService.Tree(SafeCampus.System.PositionTreeInput)">
            <summary>
            岗位树形结构
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Application.PositionService">
            <summary>
            <inheritdoc cref="T:SafeCampus.Application.IPositionService"/>
            </summary>
        </member>
        <member name="M:SafeCampus.Application.PositionService.Page(SafeCampus.System.PositionPageInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.PositionService.Tree(SafeCampus.System.PositionTreeInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.PositionService.Add(SafeCampus.System.PositionAddInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.PositionService.Selector(SafeCampus.System.PositionSelectorInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.PositionService.Detail(SafeCampus.Core.BaseIdInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.PositionService.Edit(SafeCampus.System.PositionEditInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.PositionService.Delete(SafeCampus.Core.BaseIdListInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.PositionService.CheckInput(SafeCampus.System.SysPosition,System.String)">
            <summary>
            检查输入参数
            </summary>
            <param name="sysPosition">参数</param>
            <param name="operate">操作名称</param>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.OwnResource(SafeCampus.Core.BaseIdInput,System.String)">
            <summary>
            角色拥有资源
            </summary>
            <param name="input">角色id</param>
            <param name="category">资源类型</param>
            <returns>角色拥有资源信息</returns>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.OwnUser(SafeCampus.Core.BaseIdInput)">
            <summary>
            获取角色下的用户
            </summary>
            <param name="input">角色ID</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.Page(SafeCampus.System.RolePageInput)">
            <summary>
            分页查询角色
            </summary>
            <param name="input">查询参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.RoleSelector(SafeCampus.System.RoleSelectorInput)">
            <summary>
            角色选择器
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.Tree(SafeCampus.System.RoleTreeInput)">
            <summary>
            获取角色树
            </summary>
            <param name="input">角色树</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.Detail(SafeCampus.Core.BaseIdInput)">
            <summary>
            角色详情
            </summary>
            <param name="input">角色Id</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.ResourceTreeSelector">
            <summary>
            资源树选择器
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.Add(SafeCampus.System.RoleAddInput)">
            <summary>
            添加角色
            </summary>
            <param name="input">添加参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.Edit(SafeCampus.System.RoleEditInput)">
            <summary>
            编辑角色
            </summary>
            <param name="input">编辑参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.GrantResource(SafeCampus.System.GrantResourceInput)">
            <summary>
            给角色授权
            </summary>
            <param name="input">授权参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.GrantUser(SafeCampus.System.GrantUserInput)">
            <summary>
            给角色授权用户
            </summary>
            <param name="input">授权信息</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IRoleService.Delete(SafeCampus.Core.BaseIdListInput)">
            <summary>
            删除角色
            </summary>
            <param name="input">删除参数</param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Application.RoleService">
            <inheritdoc cref="T:SafeCampus.Application.IRoleService"/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.OwnResource(SafeCampus.Core.BaseIdInput,System.String)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.OwnUser(SafeCampus.Core.BaseIdInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.Page(SafeCampus.System.RolePageInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.RoleSelector(SafeCampus.System.RoleSelectorInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.Tree(SafeCampus.System.RoleTreeInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.Detail(SafeCampus.Core.BaseIdInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.ResourceTreeSelector">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.Add(SafeCampus.System.RoleAddInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.Edit(SafeCampus.System.RoleEditInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.GrantResource(SafeCampus.System.GrantResourceInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.GrantUser(SafeCampus.System.GrantUserInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.Delete(SafeCampus.Core.BaseIdListInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.RoleService.CheckInput(SafeCampus.System.SysRole)">
            <summary>
            检查输入参数
            </summary>
            <param name="sysRole"></param>
        </member>
        <member name="M:SafeCampus.Application.RoleService.GetRoleGrantResourceMenus(System.Int64,System.Collections.Generic.List{SafeCampus.System.SysResource},System.Collections.Generic.List{SafeCampus.System.SysResource})">
            <summary>
            获取授权菜单
            </summary>
            <param name="moduleId">模块Id</param>
            <param name="ownMenuList">拥有菜单列表</param>
            <param name="ownButtonList">拥有权限按钮列表</param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Application.BizUserImportInput">
            <summary>
            业务用户导入
            </summary>
        </member>
        <member name="T:SafeCampus.Application.BizUserExportOutput">
            <summary>
            业务用户导出
            </summary>
        </member>
        <member name="T:SafeCampus.Application.IUserService">
            <summary>
            人员管理服务
            </summary>
        </member>
        <member name="M:SafeCampus.Application.IUserService.Selector(SafeCampus.System.UserSelectorInput)">
            <summary>
            人员选择器
            </summary>
            <param name="input">查询参数</param>
            <returns>人员列表</returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.Page(SafeCampus.System.UserPageInput)">
            <summary>
            用户分页查询
            </summary>
            <param name="input">查询参数</param>
            <returns>用户分页列表</returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.OwnRole(SafeCampus.Core.BaseIdInput)">
            <summary>
            获取用户拥有角色
            </summary>
            <param name="input">用户ID</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.RoleSelector(SafeCampus.System.RoleSelectorInput)">
            <summary>
            角色选择器
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.Detail(SafeCampus.Core.BaseIdInput)">
            <summary>
            人员详情
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.Add(SafeCampus.System.UserAddInput)">
            <summary>
            添加用户
            </summary>
            <param name="input">添加参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.Edit(SafeCampus.System.UserEditInput)">
            <summary>
            编辑
            </summary>
            <param name="input">编辑参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.DisableUser(SafeCampus.Core.BaseIdInput)">
            <summary>
            禁用用户
            </summary>
            <param name="input">用户Id</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.EnableUser(SafeCampus.Core.BaseIdInput)">
            <summary>
            启用用户
            </summary>
            <param name="input">用户Id</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.ResetPassword(SafeCampus.Core.BaseIdInput)">
            <summary>
            重置密码
            </summary>
            <param name="input">用户Id</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.GrantRole(SafeCampus.System.UserGrantRoleInput)">
            <summary>
            给用户授权角色
            </summary>
            <param name="input">授权参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.Delete(SafeCampus.Core.BaseIdListInput)">
            <summary>
            删除用户
            </summary>
            <param name="input">Id列表</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.Preview(SafeCampus.System.ImportPreviewInput)">
            <summary>
            导入预览
            </summary>
            <param name="input">导入参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.Template">
            <summary>
            获取导入模板
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.Export(SafeCampus.System.UserPageInput)">
            <summary>
            导出
            </summary>
            <param name="input">查询参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.Import(SafeCampus.System.ImportResultInput{SafeCampus.Application.BizUserImportInput})">
            <summary>
            导入数据
            </summary>
            <param name="input">数据</param>
            <returns>导入结果</returns>
        </member>
        <member name="M:SafeCampus.Application.IUserService.Edits(SafeCampus.System.BatchEditInput)">
            <summary>
            批量编辑
            </summary>
            <param name="input">编辑字段信息</param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Application.UserService">
            <summary>
            <inheritdoc cref="T:SafeCampus.Application.IUserService"/>
            </summary>
        </member>
        <member name="M:SafeCampus.Application.UserService.Page(SafeCampus.System.UserPageInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.OwnRole(SafeCampus.Core.BaseIdInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.Selector(SafeCampus.System.UserSelectorInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.RoleSelector(SafeCampus.System.RoleSelectorInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.UserService.Detail(SafeCampus.Core.BaseIdInput)">
            <inheritdoc />
        </member>
        <member name="M:SafeCampus.Application.UserService.Add(SafeCampus.System.UserAddInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.Edit(SafeCampus.System.UserEditInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.Edits(SafeCampus.System.BatchEditInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.DisableUser(SafeCampus.Core.BaseIdInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.EnableUser(SafeCampus.Core.BaseIdInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.GrantRole(SafeCampus.System.UserGrantRoleInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.ResetPassword(SafeCampus.Core.BaseIdInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.Delete(SafeCampus.Core.BaseIdListInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.Template">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.Preview(SafeCampus.System.ImportPreviewInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.Export(SafeCampus.System.UserPageInput)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.Import(SafeCampus.System.ImportResultInput{SafeCampus.Application.BizUserImportInput})">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Application.UserService.CheckInput(SafeCampus.System.SysUser,System.String)">
            <summary>
            检查输入参数
            </summary>
            <param name="sysUser"></param>
            <param name="operate">操作类型</param>
        </member>
        <member name="M:SafeCampus.Application.UserService.CheckInput(System.Int64,System.String)">
            <summary>
            检查输入参数
            </summary>
            <param name="userId">用户ID</param>
            <param name="operate">操作</param>
        </member>
        <member name="M:SafeCampus.Application.UserService.CheckImport(System.Collections.Generic.List{SafeCampus.Application.BizUserImportInput},System.Collections.Generic.List{System.Int64},System.Boolean)">
            <summary>
            检查导入数据
            </summary>
            <param name="data">数据</param>
            <param name="dataScope">数据范围ID数组</param>
            <param name="clearError">是否初始化错误</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Application.UserService.GetQuery(SafeCampus.System.UserPageInput)">
            <summary>
            获取查询条件
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Application.Startup">
            <summary>
            AppStartup启动类
            </summary>
        </member>
        <member name="M:SafeCampus.Application.Startup.ConfigureServices(Microsoft.Extensions.DependencyInjection.IServiceCollection)">
            <summary>
            ConfigureServices中不能解析服务，比如App.GetService()，尤其是不能在ConfigureServices中获取诸如缓存等数据进行初始化，应该在Configure中进行
            服务都还没初始化完成，会导致内存中存在多份 IOC 容器！！
            正确应该在 Configure 中，这个时候服务（IServiceCollection 已经完成 BuildServiceProvider() 操作了
            </summary>
            <param name="services"></param>
        </member>
    </members>
</doc>
